#ifndef BLCLOSURES_H
#define BLCLOSURES_H

#include "blast.h"
#include <string>
#include <vector>

namespace blast
{

/**
 * @brief Boundary layer closure relations.
 * @author Paul Dechamps
 */
class BLAST_API Closures
{

public:
    static void laminarClosures(std::vector<double> &closureVars, double theta,
                                double H, double Ret, const double Me,
                                const std::string name);
    static void turbulentClosures(std::vector<double> &closureVars, double theta,
                                  double H, double Ct, double Ret, double Me,
                                  const std::string name);
    static void turbulentClosures(double &closureVars, double theta, double H,
                                  double Ct, double Ret, const double Me,
                                  const std::string name);
};
} // namespace blast
#endif // BLCLOSURES_H
