/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// Global header of the "blast" module.

#ifndef BLAST_H
#define BLAST_H

#if defined(WIN32)
#ifdef blast_EXPORTS
#define BLAST_API __declspec(dllexport)
#else
#define BLAST_API __declspec(dllimport)
#endif
#else
#define BLAST_API
#endif

#include "tbox.h"

/**
 * @brief Namespace for blast module
 */
namespace blast
{

// Solvers
class Driver;
class Solver;

// Adjoint
class CoupledAdjoint;

// Data structures
class BoundaryLayer;

// Other
class Closures;
} // namespace blast

#endif // BLAST_H
